#! /usr/bin/env python
# -*- coding: utf8 -*-

from gi.repository import Gtk
import gi
gi.require_version('Gtk', '3.0')


class grid_label_entry(Gtk.Fixed):
    def __init__(self, label, text=""):
        Gtk.Fixed.__init__(self)
        self.label = Gtk.Label(label, xalign=5)
        self.entry = Gtk.Entry()
        self.entry.set_text(text)


class MyWindow(Gtk.Window):

    def __init__(self):
        Gtk.Window.__init__(self, title="Grid Example")

        grid = Gtk.Grid()
        grid.set_row_spacing(10)
        grid.set_column_spacing(5)
        grid.set_column_homogeneous(False)
        self.add(grid)

        button1 = Gtk.Label("Button 1", xalign=5)
        button2 = Gtk.Entry()
        button2.set_text("Button 2")

        button3 = Gtk.Button(label="Button 3")
        button4 = Gtk.Entry()
        button4.set_text("Button 4")
        button5 = Gtk.Button(label="Button 5")
        button6 = Gtk.Entry()
        button6.set_text("Button 6")
        button7 = Gtk.Button(label="Button 6")

        grid.add(button1)
        grid.attach(button2, 1, 0, 2, 1)

        grid.attach(button3, 0, 1, 1, 1)
        grid.attach(button4, 1, 1, 2, 1)

        grid.attach(button5, 0, 2, 1, 1)
        grid.attach(button6, 1, 2, 1, 1)
        grid.attach_next_to(button7, button6, Gtk.PositionType.RIGHT, 1, 1)

        # grid.attach_next_to(button3, button1, Gtk.PositionType.BOTTOM, 1, 2)
        # grid.attach_next_to(button4, button3, Gtk.PositionType.RIGHT, 2, 1)
        # grid.attach(button5, 1, 2, 1, 1)
        # grid.attach_next_to(button6, button5, Gtk.PositionType.RIGHT, 1, 1)

        # self.box = Gtk.Box(orientation=Gtk.Orientation.Vertical, spacing=5)
        # self.add(self.box)

    #     box_outer = Gtk.Box(orientation=Gtk.Orientation.VERTICAL, spacing=6)
    #     self.add(box_outer)

    #     listbox = Gtk.ListBox()
    #     listbox.set_selection_mode(Gtk.SelectionMode.NONE)
    #     box_outer.pack_start(listbox, True, True, 0)

    #     # --

    #     row = self.label_entry("Username")
    #     listbox.add(row)

    #     # --

    #     row = self.label_entry("Password", "", True)
    #     listbox.add(row)

    #     # --

    #     row = Gtk.ListBoxRow()
    #     hbox = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL, spacing=20)
    #     row.add(hbox)
    #     vbox = Gtk.Box(orientation=Gtk.Orientation.VERTICAL)
    #     hbox.pack_start(vbox, False, True, 0)

    #     button = Gtk.Button(label="Save")
    #     vbox.pack_start(button, True, True, 0)

    #     button = Gtk.Button(label="Discard")
    #     hbox.pack_start(button, False, True, 0)

    #     button = Gtk.Button(label="Close")
    #     hbox.pack_start(button, False, True, 0)

    #     listbox.add(row)

    #     # --

    # def label_entry(self, label, text="", button=False):
    #     row = Gtk.ListBoxRow()
    #     hbox = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL, spacing=20)
    #     row.add(hbox)
    #     label = Gtk.Label(label, xalign=0)
    #     hbox.pack_start(label, True, True, 0)
    #     entry = Gtk.Entry()
    #     entry.set_text(text)
    #     hbox.pack_start(entry, True, True, 0)
    #     if button:
    #         button = Gtk.Button(label="")
    #         hbox.pack_start(button, False, True, 0)
    #     return row

    # self.label1 = Gtk.Label(label="Username")
    # box.pack_start(label1, expand=False, fill=False, padding=0)

    # self.button1 = Gtk.Entry(label="Hello")
    # self.button1.connect("clicked", self.on_button1_clicked)
    # self.box.pack_start(self.button1, True, True, 0)

    # self.button2 = Gtk.Entry(label="Goodbye")
    # self.button2.connect("clicked", self.on_button2_clicked)
    # self.box.pack_start(self.button2, True, True, 0)

    # def on_button1_clicked(self, widget):
    #     print("Hello")

    # def on_button2_clicked(self, widget):
    #     print("Goodbye")


win = MyWindow()
win.connect("destroy", Gtk.main_quit)
win.show_all()
Gtk.main()
